summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorSeemant Kulleen <seemant@gentoo.org>2002-07-15 00:03:13 +0000
committerSeemant Kulleen <seemant@gentoo.org>2002-07-15 00:03:13 +0000
commitd1ea7a43829ec188a1b87a570c09536ae157f92a (patch)
treecdda7f12353949477a993b805b365914099c7997 /eclass
parentmore tweaks (diff)
downloadgentoo-2-d1ea7a43829ec188a1b87a570c09536ae157f92a.tar.gz
gentoo-2-d1ea7a43829ec188a1b87a570c09536ae157f92a.tar.bz2
gentoo-2-d1ea7a43829ec188a1b87a570c09536ae157f92a.zip
more tweaks
Diffstat (limited to 'eclass')
-rw-r--r--eclass/commonbox.eclass16
1 files changed, 9 insertions, 7 deletions
diff --git a/eclass/commonbox.eclass b/eclass/commonbox.eclass
index ddfebc6d3c1e..ca8144585aba 100644
--- a/eclass/commonbox.eclass
+++ b/eclass/commonbox.eclass
@@ -1,7 +1,7 @@
# Copyright 2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2
# Author: Seemant Kulleen <seemant@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/commonbox.eclass,v 1.3 2002/07/14 23:51:01 seemant Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/commonbox.eclass,v 1.4 2002/07/15 00:03:13 seemant Exp $
# The commonbox eclass is designed to allow easier installation of the box
# window managers such as blackbox and fluxbox and commonbox
@@ -40,10 +40,10 @@ commonbox_commonify() {
cd ${S}/src
cp Makefile Makefile.orig
- sed -e 's:$(pkgdatadir)/menu:\\"/usr/share/commonbox/menu\\":' \
- -e 's:$(pkgdatadir)/styles:\\"/usr/share/commonbox/styles\\":' \
- -e 's:\(DEFAULT_INITFILE\).*:\1=\\"/usr/share/commonbox/init\\":' \
- Makefile.orig > Makefile
+# sed -e 's:$(pkgdatadir)/menu:\\"/usr/share/commonbox/menu\\":' \
+# -e 's:$(pkgdatadir)/styles:\\"/usr/share/commonbox/styles:' \
+# -e 's:\(DEFAULT_INITFILE\).*:\1=\\"/usr/share/commonbox/init\\":' \
+# Makefile.orig > Makefile
cd ${S}
@@ -69,14 +69,16 @@ commonbox_src_compile() {
${myconf} || die
commonify || die
- emake || die
+ emake \
+ pkgdatadir="/usr/share/commonbox" || die
}
commonbox_src_install() {
dodir /usr/share/commonbox
- einstall || die
+ einstall \
+ pkgdatadir="${D}/usr/share/commonbox" || die
dodoc README* AUTHORS TODO* ${mydoc}